Issue 120663 - FrameView object created in SlideSorterViewShell and ToolPanelViewShell constructor is never released
FrameView object created in SlideSorterViewShell and ToolPanelViewShell const...
Status: RESOLVED FIXED
Product: Impress
Classification: Application
Component: code
4.0.0-dev
All All
: P2 normal (vote)
: 4.0.0
Assigned To: zhang jianfang
:
Depends on:
Blocks: 120975
  Show dependency treegraph
 
Reported: 2012-08-22 13:06 UTC by zhang jianfang
Modified: 2012-09-15 12:54 UTC (History)
0 users

See Also:
Issue Type: DEFECT
Latest Confirmation on: ---
Developer Difficulty: ---


Attachments
fix code patch (1.15 KB, patch)
2012-08-22 13:17 UTC, zhang jianfang
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this issue.
Description zhang jianfang 2012-08-22 13:06:17 UTC
In both SlideSorterViewShell and ToolPanelViewShell, there is below code,

...
	if ( pFrameViewArgument )
		mpFrameView = pFrameViewArgument;
	else
        mpFrameView = new FrameView( GetDoc() );
	GetFrameView()->Connect();
...

While in destructor, the paired call to,

 GetFrameView()->Connect();

is missing.
Comment 1 zhang jianfang 2012-08-22 13:17:35 UTC
Created attachment 79068 [details]
fix code patch
Comment 2 SVN Robot 2012-09-03 01:56:17 UTC
"zhangjf" committed SVN revision 1380109 into trunk:
#i120663#, FrameView object created in SlideSorterViewShell and ToolPanelView...
Comment 3 zhang jianfang 2012-09-03 01:57:39 UTC
delivered to 3.5 trunk.
Comment 4 zhang jianfang 2012-09-03 01:58:22 UTC
Comment on attachment 79068 [details]
fix code patch

Remove review tag.
Comment 5 SVN Robot 2012-09-03 02:52:46 UTC
"zhangjf" committed SVN revision 1380115 into trunk:
#i120663#, The slave SvXMLImportContext object for SdXMLNumberFormatMemberImp...
Comment 6 zhang jianfang 2012-09-03 02:57:52 UTC
Sorry, the previous delivery by revision 1380115 is for bug i120662. I delivered the code with wrong bug number.